QGIS Application - Bug report #5269
New fields created by "table join" are limited to 80 characters when it should be 255
2012-03-30 03:44 AM - Filipe Dias

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:1.8.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 14996
Description

| tried to join a field that had cells with up to 220 characters to a shapefile. However when | saved the new shapefile, | saw that it was only
showing the first 80 characters of field. QGIS is cutting the fields with a 80 characters threshold.

Associated revisions

Revision b3262763 - 2012-10-05 08:21 PM - Alexander Bruy

fix #5269

History

#1 - 2012-03-30 12:40 PM - Giovanni Manghi
- Operating System deleted (Windows 7)
- Target version set to 35

Confirmed (on Linux). Joined text field (tested with a csv) are truncated at 80 chars when (re)saving the shapefile.

#2 - 2012-04-15 10:00 AM - Giovanni Manghi

- Target version changed from 35 to Version 1.8.0

#3 - 2012-04-16 04:52 AM - Giovanni Manghi
- Priority changed from High to Normal

#4 - 2012-07-17 09:41 AM - Filipe Dias

- Priority changed from Normal to High
- Affected QGIS version changed from master to 1.8.0

This bug remains in QGIS 1.8 and think it's urgent to fix it.

#5 - 2012-09-04 11:53 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2012-10-05 10:21 AM - Alexander Bruy
- Status changed from Open to Feedback
Seems already fixed in master. Please test and close.

#7 - 2012-10-05 10:31 AM - Filipe Dias

No, it's still there (QGIS Master downloaded today, Windows 7). It joins correctly but when | save it, the new shapefile only has the first 80 characters of

each line.

#8 - 2012-10-05 10:34 AM - Alexander Bruy

Works fine here, field with length 193 saved correctly. Can you provide sample data?

#9 - 2012-10-05 10:49 AM - Filipe Dias
- File sample.zip added

Sample data attached.

#10 - 2012-10-05 11:31 AM - Alexander Bruy

Ah, you use CSV table for joined data... As workaround you can specify length and type for each CSV field using CSVT file as described here. Also you can

use more powerful and flexible VRT format

#11 - 2012-10-05 11:31 AM - Alexander Bruy
- Status changed from Feedback to Closed

Fixed in changeset commit:"b326276398f41a44e2a142085adb1de647f15700".

#12 - 2012-10-05 11:35 AM - Alexander Bruy

- Resolution set to fixed

#13 - 2012-10-08 02:45 AM - Filipe Dias

Thanks!

Files

sample.zip 40.1 KB 2012-10-05 Filipe Dias
http://www.gdal.org/ogr/drv_csv.html
http://www.gdal.org/ogr/drv_vrt.html

